package com.ruoyi.custclient.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 标签组code对象 label_code
 * 
 * @author zhangyubo
 * @date 2024-10-16
 */
public class LabelCode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标签名称 */
    @Excel(name = "标签名称")
    private String name;

    /** 标签是否自动：0自动，1手动 */
    @Excel(name = "标签是否自动：0自动，1手动")
    private Long automatic;

    /** 显示状态 0是存在 1是删除 */
    @Excel(name = "显示状态 0是存在 1是删除")
    private String flag;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long labelTypeId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAutomatic(Long automatic) 
    {
        this.automatic = automatic;
    }

    public Long getAutomatic() 
    {
        return automatic;
    }
    public void setFlag(String flag) 
    {
        this.flag = flag;
    }

    public String getFlag() 
    {
        return flag;
    }
    public void setLabelTypeId(Long labelTypeId) 
    {
        this.labelTypeId = labelTypeId;
    }

    public Long getLabelTypeId() 
    {
        return labelTypeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("automatic", getAutomatic())
            .append("flag", getFlag())
            .append("labelTypeId", getLabelTypeId())
            .toString();
    }
}
